Bug 163310 - netatalk no longer works on RHEL 4
netatalk no longer works on RHEL 4
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Riek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-14 19:28 EDT by Andrew Meredith
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-05 09:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2005-07-14 19:28:17 EDT
Description of problem:

The netatalk Mac server is useless without the appletalk module in the kernel.

Version-Release number of selected component (if applicable):

kernel-2.6.9-11.EL
netatalk-1.6.4-4

How reproducible:

Every time.

Additional info:

There are still pre-MacOS X boxen around in some numbers. What's the harm in
turning on the appletalk modules, particularly as the client binaries are still
part of the RHEL4.
Comment 1 Jason Vas Dias 2005-07-15 11:17:38 EDT
Yes, it appears that the 
/lib/modules/2.6.9*/kernel/drivers/net/appletalk/{cops.ko,ipddp.ko,ltpc.ko}
are not shipped. 
Neither are they shipped in RHEL-3.
So the only use for netatalk in these releases is for appletalk over IP 
(MacOSX and later) and support for MacOS clients and Mac printer sharing
is denied.
I agree we should ship the appletalk modules - but this is a kernel maintainer
decision .
Moving this bug to kernel.
Comment 2 Andrew Meredith 2005-07-15 17:48:32 EDT
The customers concerned moved from FC3 to RHEL4, missing out RHEL3. These
modules are present in the FC3 kernel. They are currently using the latest FC3
kernel with their RHEL4 systems.

Thank you for your supporting comments. I hope the kernel maintainers can see
their way clear to add them back in.

I appreciate that some may characterise Pre-MacOS X machines as old hat, but
there is still a lot of mileage left in them.
Comment 3 Dave Jones 2005-07-28 01:18:44 EDT
reassigning to product management.
Comment 4 Andrew Meredith 2005-11-04 06:40:31 EST
This has been reassigned a few times now, with general words of support. Is
there any likelyhood of this actually going anywhere?
Comment 5 Andrew Meredith 2006-06-05 08:24:47 EDT
Nothing heard ... Is there likely to be any forward movement on this issue? A
progress report would be much appreciated.
Comment 6 Daniel Riek 2006-06-05 09:33:33 EDT
Appletalk has never been supported in RHEL. There is no plan to add appletalk
support to any RHEL Product at this time: The use cases are very limited and we
do not have the knowledge to do long-term support. Also to the feedback we
received up to now it would only be needed for old Apple infrastructures, that
are fadin out at our typical customers.

We would recommend to take a look at third party solutions or add-ons to solve
this issue.
Comment 7 Andrew Meredith 2006-06-05 10:21:48 EDT
It would have been very helpful to myself and my old fashioned Appletalk needing
users if even this terse statement had been made a year ago when it was first
transfered to your group .. or indeed 7 months ago when I last asked for an update.

Just to confirm, I either have to use an unsupported FC3 kernel with RHEL4, boil
my own unsupported kernel with the modules switched on, or switch to another
distro that does support the kernel modules we need.

Note You need to log in before you can comment on or make changes to this bug.